package ink.wgink.login.app.pojo.vos.appversion;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: AppVersionVO
 * @Description: app版本
 * @Author: admin
 * @Date: 2019-08-26 14:50:40
 * @Version: 1.0
 **/
@ApiModel
public class AppVersionVO {

    @ApiModelProperty(name = "appSummary", value = "APP说明")
    @CheckEmptyAnnotation(name = "APP说明")
    private String appSummary;
    @ApiModelProperty(name = "isNecessary", value = "强制更新")
    @CheckNumberAnnotation(name = "强制更新")
    private Integer isNecessary;
    @ApiModelProperty(name = "isRelease", value = "是否发布")
    @CheckNumberAnnotation(name = "是否发布")
    private Integer isRelease;
    @ApiModelProperty(name = "appFile", value = "APP文件")
    @CheckEmptyAnnotation(name = "APP文件")
    private String appFile;

    public String getAppSummary() {
        return appSummary;
    }

    public void setAppSummary(String appSummary) {
        this.appSummary = appSummary;
    }

    public Integer getIsNecessary() {
        return isNecessary;
    }

    public void setIsNecessary(Integer isNecessary) {
        this.isNecessary = isNecessary;
    }

    public Integer getIsRelease() {
        return isRelease;
    }

    public void setIsRelease(Integer isRelease) {
        this.isRelease = isRelease;
    }

    public String getAppFile() {
        return appFile;
    }

    public void setAppFile(String appFile) {
        this.appFile = appFile;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"appSummary\":\"")
                .append(appSummary).append('\"');
        sb.append(",\"isNecessary\":")
                .append(isNecessary);
        sb.append(",\"isRelease\":")
                .append(isRelease);
        sb.append(",\"appFile\":\"")
                .append(appFile).append('\"');
        sb.append('}');
        return sb.toString();
    }
}